# DXGfxLib.ScriptHelpers Class Reference

This will contain only static methods meant to be used from script. More...

List of all members.

## Static Public Member Functions
static SceneObject | GetSceneObjectFromName (string name)
static void | MoveToPosition (SceneNode nodeToMove, Vector3 destination, float speed, float elapsedTime)
static void | MoveToNamedArea (SceneNode nodeToMove, string areaName, float speed, float elapsedTime)
static SceneObject | GetSceneObjectFromName (string name)
static void | MoveToPosition (SceneNode nodeToMove, Vector3 destination, float speed, float elapsedTime)
static void | MoveToNamedArea (SceneNode nodeToMove, string areaName, float speed, float elapsedTime)

## Detailed Description

This will contain only static methods meant to be used from script.

For example we can anticipate that a fairly common action from script will be to instruct avatars or npg to go to specific named areas of the world. Thus a function MoveToNamedArea is highly desirable !!

Definition at line 15 of file ScriptHelpers.cs.

## Member Function Documentation

static SceneObject DXGfxLib.ScriptHelpers.GetSceneObjectFromName | ( | string | name | ) | `[static]`

Definition at line 17 of file ScriptHelpers.cs.

static SceneObject DXGfxLib.ScriptHelpers.GetSceneObjectFromName | ( | string | name | ) | `[static]`

Definition at line 17 of file ScriptHelpers.cs.

Here is the caller graph for this function:

static void DXGfxLib.ScriptHelpers.MoveToNamedArea | ( | SceneNode | nodeToMove,
|  | string | areaName,
|  | float | speed,
|  | float | elapsedTime |
| ) |  |  | `[static]`

Definition at line 30 of file ScriptHelpers.cs.

Here is the call graph for this function:

static void DXGfxLib.ScriptHelpers.MoveToNamedArea | ( | SceneNode | nodeToMove,
|  | string | areaName,
|  | float | speed,
|  | float | elapsedTime |
| ) |  |  | `[static]`

Definition at line 30 of file ScriptHelpers.cs.

Here is the call graph for this function:

static void DXGfxLib.ScriptHelpers.MoveToPosition | ( | SceneNode | nodeToMove,
|  | Vector3 | destination,
|  | float | speed,
|  | float | elapsedTime |
| ) |  |  | `[static]`

Definition at line 22 of file ScriptHelpers.cs.

static void DXGfxLib.ScriptHelpers.MoveToPosition | ( | SceneNode | nodeToMove,
|  | Vector3 | destination,
|  | float | speed,
|  | float | elapsedTime |
| ) |  |  | `[static]`

Definition at line 22 of file ScriptHelpers.cs.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/ScriptHelpers.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/ScriptHelpers.cs